# Uses of Interface
org.apache.qpid.proton.reactor.ReactorChild

Packages that use ReactorChild
Package
Description
org.apache.qpid.proton.engine
org.apache.qpid.proton.engine.impl
org.apache.qpid.proton.reactor
org.apache.qpid.proton.reactor.impl

## Uses of ReactorChild in org.apache.qpid.proton.engine

Subinterfaces of ReactorChild in org.apache.qpid.proton.engine
Modifier and Type
Interface
Description
`interface`
`Connection`
Maintains lists of sessions, links and deliveries in a state that is interesting to the application.
`interface`
`ProtonJConnection`
Extends `Connection` with functionality that is specific to proton-j

## Uses of ReactorChild in org.apache.qpid.proton.engine.impl

Classes in org.apache.qpid.proton.engine.impl that implement ReactorChild
Modifier and Type
Class
Description
`class`
`ConnectionImpl`

## Uses of ReactorChild in org.apache.qpid.proton.reactor

Subinterfaces of ReactorChild in org.apache.qpid.proton.reactor
Modifier and Type
Interface
Description
`interface`
`Acceptor`
Acceptors are children of a `Reactor` that accept in-bound network connections.
`interface`
`Selectable`
An entity that can be multiplexed using a `Selector`.
Methods in org.apache.qpid.proton.reactor that return types with arguments of type ReactorChild
Modifier and Type
Method
Description
`Set<ReactorChild>`
Reactor.`children()`

## Uses of ReactorChild in org.apache.qpid.proton.reactor.impl

Classes in org.apache.qpid.proton.reactor.impl that implement ReactorChild
Modifier and Type
Class
Description
`class`
`AcceptorImpl`
`class`
`SelectableImpl`
Methods in org.apache.qpid.proton.reactor.impl that return types with arguments of type ReactorChild
Modifier and Type
Method
Description
`Set<ReactorChild>`
ReactorImpl.`children()`
Methods in org.apache.qpid.proton.reactor.impl with parameters of type ReactorChild
Modifier and Type
Method
Description
`SelectableImpl`
ReactorImpl.`selectable(ReactorChild child)`